package com.gic.haoban.manage.service.pojo.qo.content;

import com.gic.api.base.commons.BasePageInfo;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/19 9:54 PM
 * @Description
 * @Version
 **/
public class TriggerCustomerDetailQO extends BasePageInfo {

    private static final long serialVersionUID = -4776803428834819261L;
    /**
     * 企业id
     */
    private String enterpriseId;

    private Date startTime;

    private Date endTime;

    /**
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    private String bizId;

    private String clerkId;

    /**
     * @see com.gic.haoban.manage.api.enums.content.TriggerCustomerChannelType
     */
    private Integer channelType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public TriggerCustomerDetailQO setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Date getStartTime() {
        return startTime;
    }

    public TriggerCustomerDetailQO setStartTime(Date startTime) {
        this.startTime = startTime;
        return this;
    }

    public Date getEndTime() {
        return endTime;
    }

    public TriggerCustomerDetailQO setEndTime(Date endTime) {
        this.endTime = endTime;
        return this;
    }

    public Integer getBizType() {
        return bizType;
    }

    public TriggerCustomerDetailQO setBizType(Integer bizType) {
        this.bizType = bizType;
        return this;
    }

    public String getBizId() {
        return bizId;
    }

    public TriggerCustomerDetailQO setBizId(String bizId) {
        this.bizId = bizId;
        return this;
    }

    public String getClerkId() {
        return clerkId;
    }

    public TriggerCustomerDetailQO setClerkId(String clerkId) {
        this.clerkId = clerkId;
        return this;
    }

    public Integer getChannelType() {
        return channelType;
    }

    public TriggerCustomerDetailQO setChannelType(Integer channelType) {
        this.channelType = channelType;
        return this;
    }
}
